# Class IcuDetectorSniffer

java.lang.Object
java.io.InputStream
nu.validator.htmlparser.extra.IcuDetectorSniffer

All Implemented Interfaces:
  `Closeable, AutoCloseable`

public class IcuDetectorSniffer extends InputStream

## Constructor Summary

Constructors
Constructor
Description
`IcuDetectorSniffer(ByteReadable source)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`int`
`read()`
`Encoding`
`sniff()`

### Methods inherited from class InputStream

`available, close, mark, markSupported, nullInputStream, read, read, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IcuDetectorSniffer

public IcuDetectorSniffer(ByteReadable source)

Parameters:
  `source` -

## Method Details

### read

public int read() throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

### sniff

public Encoding sniff() throws IOException

Throws:
  `IOException`

### main

public static void main(String[] args)